Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 23/04/2013, à 09:25

mloupiot

[RÉSOLU] Après échec de MàJ Muon plante

Problème résolu : j'ai viré le contenu du répertoire /var/lib/apt/lists puis apt-get update et tout fonctionne.

Bonjour,
sous Kubuntu 12.10, suite à une tentative de mise à jour ce matin (échec de la mise à jour), impossible de relancer Muon.

retour de sudo dpkg --configure -a :

mloupiot@mloupiot-desktop:~$ sudo dpkg --configure -a
dpkg: erreur de traitement de libdrm-nouveau1a:amd64 (--configure) :
 le paquet libdrm-nouveau1a:amd64 2.4.39-0ubuntu1 ne peut pas être configuré parce que la version de libdrm-nouveau1a:i386 est différente (2.4.43-0ubuntu0.1)
dpkg: erreur de traitement de libdrm-nouveau1a:i386 (--configure) :
 le paquet libdrm-nouveau1a:i386 2.4.43-0ubuntu0.1 ne peut pas être configuré parce que la version de libdrm-nouveau1a:amd64 est différente (2.4.39-0ubuntu1)
Des erreurs ont été rencontrées pendant l'exécution :
 libdrm-nouveau1a:amd64
 libdrm-nouveau1a:i386

rapport de crash de Muon :

Application: Gestionnaire de mises à jour Muon (muon-updater), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f30f17c9780 (LWP 6427))]

Thread 2 (Thread 0x7f30dca6b700 (LWP 6428)):
#0  0x00007f30eeb928b0 in clock_gettime@plt () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#1  0x00007f30eec069f4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f30eecdc44d in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f30eecdc793 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f30eecdb2fc in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f30eecdb3a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f30ea46d618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f30ea46dcab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f30ea46dea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f30eecdbc46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f30eecac2ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f30eecac578 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#12 0x00007f30eebadb40 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#13 0x00007f30eec8c9df in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#14 0x00007f30eebb0b1c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#15 0x00007f30ea93ce9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#16 0x00007f30ee566ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f30f17c9780 (LWP 6427)):
[KCrash Handler]
#5  0x00007f30f07caf88 in QApt::Backend::initErrorMessage() const () from /usr/lib/libqapt.so.2
#6  0x00007f30f11a3267 in QAptActions::initError() () from /usr/lib/libmuonapt.so
#7  0x00007f30dd503aad in ApplicationBackend::initBackend() () from /usr/lib/kde4/muon-appsbackend.so
#8  0x00007f30dd502755 in ?? () from /usr/lib/kde4/muon-appsbackend.so
#9  0x00007f30eecc2f8f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f30eeccac4f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f30eecc229c in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#12 0x00007f30ef690e9c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#13 0x00007f30ef69530a in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007f30f0399ad6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0x00007f30eecad59e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007f30eecde492 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007f30eecdb5b4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#18 0x00007f30ea46dab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f30ea46dde8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f30ea46dea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f30eecdbc26 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007f30ef735c1e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#23 0x00007f30eecac2ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007f30eecac578 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#25 0x00007f30eecb1738 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x000000000040e4f7 in ?? ()
#27 0x00007f30ee49476d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#28 0x000000000040e569 in _start ()

Je n'ose redémarrer : le paquet "nouveau" étant en cause je crains que l'interface graphique plante…

Comme disait Vladimir "Que faire ?"
Merci à qui aura une idée.

Ajout :
retour de sudo apt-get upgrade :

mloupiot@mloupiot-desktop:~$ sudo apt-get upgrade
[sudo] password for mloupiot: 
Lecture des listes de paquets... Erreur !
E: Malformed Description-md5 line; includes invalid character '571921f9ddb4141e43e9`fe8b2e0$f62'
E: Malformed Description-md5 line; includes invalid character '571921f9ddb4141e43e9`fe8b2e0$f62'
E: Malformed Description-md5 line; includes invalid character '571921f9ddb4141e43e9`fe8b2e0$f62'
E: Malformed Description-md5 line; includes invalid character '2713f73fe41c251536b15e040b c3eb9'
E: Malformed Description-md5 line; includes invalid character '2713f73fe41c251536b15e040b c3eb9'
E: Malformed Description-md5 line; includes invalid character '2713f73fe41c251536b15e040b c3eb9'
E: Malformed Description-md5 line; includes invalid character 'ea26a5a952f58c869fbd56 2d4bc71$0'
E: Malformed Description-md5 line; includes invalid character 'ea26a5a952f58c869fbd56 2d4bc71$0'
E: Malformed Description-md5 line; includes invalid character 'ea26a5a952f58c869fbd56 2d4bc71$0'
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.

Dernière modification par mloupiot (Le 23/04/2013, à 17:58)

Hors ligne

Haut de page ↑